<?php

declare(strict_types=1);

namespace Seka\Portal\Modul\Terminy\Entities\Udalost;

/**
 * Enum StavUpozornenia
 *
 * @package Seka\Portal\Modul\Terminy\Entities\Udalost
 */
enum StavUpozornenia: string
{
    case POVOLENE = 'POVOLENE';
    case NEPOVOLENE = 'NEPOVOLENE';

    /**
     * @return string
     */
    public function label(): string
    {
        return match ($this) {
            self::POVOLENE => 'povoliť',
            self::NEPOVOLENE => 'nepovoliť',
        };
    }

    /**
     * @return string
     */
    public function color(): string
    {
        return match ($this) {
            self::POVOLENE => '#c0d1d8',
            self::NEPOVOLENE => '#efe1e6',
        };
    }

    /**
     * @param \Seka\Portal\Modul\Terminy\Entities\Udalost\StavUpozornenia $other
     *
     * @return bool
     */
    public function equal(self $other): bool
    {
        return $this == $other;
    }
}
